description: >
    Implement to provide drive state management.

properties:
    - name: Rebuilding
      type: boolean
      default: false
      description: >
          Describes if the drive is currently rebuilding.
